package com.cit.sellfan.ui.pannelli;

import java.sql.PreparedStatement;
import java.util.Calendar;

import com.vaadin.data.Property;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevGridLayout;
import com.xdev.ui.XdevLabel;
import com.xdev.ui.XdevTextArea;
import com.xdev.ui.XdevTextField;

public class pannelloNewUserRequest extends Panel {
	private com.cit.sellfan.ui.GetUserView GetUserView;
	/**
	 * 
	 */
	public pannelloNewUserRequest() {
		super();
		this.initUI();
	}
	
	public void setGetUserView(final com.cit.sellfan.ui.GetUserView GetUserViewIn) {
		this.GetUserView = GetUserViewIn;
	}
	
	private boolean datiOK() {
		boolean ret = !this.textFieldName.getValue().equals("") && !this.textFieldSurname.getValue().equals("") && !this.textFieldmail.getValue().equals("") && !this.textFieldCompany.getValue().equals("");
		ret = ret && !this.textFieldAgent.getValue().equals("") && !this.textFieldAgentmail.getValue().equals("");
		return ret;
	}
	
	public String getName() {
		return this.textFieldName.getValue();
	}
	
	public boolean getDati(final PreparedStatement stmt) {
		try {
            //final Calendar now = Calendar.getInstance();
            final Calendar calendar = Calendar.getInstance();
            final java.sql.Timestamp oggi = new java.sql.Timestamp(calendar.getTime().getTime());
            stmt.setTimestamp(3, oggi);
            stmt.setString(4, this.textFieldName.getValue());
            stmt.setString(5, this.textFieldSurname.getValue());
            stmt.setString(6, this.textFieldmail.getValue());
            stmt.setString(7, this.textFieldCompany.getValue());
            stmt.setString(8, this.textFieldTelephone.getValue());
            stmt.setString(9, this.textFieldAddress1.getValue());
            stmt.setString(10, this.textFieldAddress2.getValue());
            stmt.setString(11, this.textFieldAddress3.getValue());
            stmt.setString(12, this.textFieldAgent.getValue());
            stmt.setString(13, this.textFieldAgentmail.getValue());
            String str = this.textAreaMemo.getValue();
            if (str.length() > 254) {
				str = str.substring(0, 254);
			}
            stmt.setString(14, str);
            return true;
		} catch (final Exception e) {
			return false;
		}
	}
	
	/**
	 * Event handler delegate method for the {@link XdevTextField}
	 * {@link #textFieldName}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void textFieldName_valueChange(final Property.ValueChangeEvent event) {
		this.GetUserView.enableNewUserRequestOK(datiOK());
	}

	/**
	 * Event handler delegate method for the {@link XdevTextField}
	 * {@link #textFieldSurname}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void textFieldSurname_valueChange(final Property.ValueChangeEvent event) {
		this.GetUserView.enableNewUserRequestOK(datiOK());
	}

	/**
	 * Event handler delegate method for the {@link XdevTextField}
	 * {@link #textFieldmail}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void textFieldmail_valueChange(final Property.ValueChangeEvent event) {
		this.GetUserView.enableNewUserRequestOK(datiOK());
	}

	/**
	 * Event handler delegate method for the {@link XdevTextField}
	 * {@link #textFieldCompany}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void textFieldCompany_valueChange(final Property.ValueChangeEvent event) {
		this.GetUserView.enableNewUserRequestOK(datiOK());
	}

	/**
	 * Event handler delegate method for the {@link XdevTextField}
	 * {@link #textFieldAgent}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void textFieldAgent_valueChange(final Property.ValueChangeEvent event) {
		this.GetUserView.enableNewUserRequestOK(datiOK());
	}

	/**
	 * Event handler delegate method for the {@link XdevTextField}
	 * {@link #textFieldAgentmail}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void textFieldAgentmail_valueChange(final Property.ValueChangeEvent event) {
		this.GetUserView.enableNewUserRequestOK(datiOK());
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.gridLayout2 = new XdevGridLayout();
		this.labelName = new XdevLabel();
		this.textFieldName = new XdevTextField();
		this.labelSurname = new XdevLabel();
		this.textFieldSurname = new XdevTextField();
		this.labelmail = new XdevLabel();
		this.textFieldmail = new XdevTextField();
		this.labelCompany = new XdevLabel();
		this.textFieldCompany = new XdevTextField();
		this.label4 = new XdevLabel();
		this.textFieldTelephone = new XdevTextField();
		this.label6 = new XdevLabel();
		this.textFieldAddress1 = new XdevTextField();
		this.textFieldAddress2 = new XdevTextField();
		this.textFieldAddress3 = new XdevTextField();
		this.labelAgent = new XdevLabel();
		this.textFieldAgent = new XdevTextField();
		this.labelAgentmail = new XdevLabel();
		this.textFieldAgentmail = new XdevTextField();
		this.label9 = new XdevLabel();
		this.textAreaMemo = new XdevTextArea();
		this.label10 = new XdevLabel();
	
		this.labelName.setValue("Name<sup>*</sup>");
		this.labelName.setContentMode(ContentMode.HTML);
		this.labelSurname.setValue("Surname<sup>*</sup>");
		this.labelSurname.setContentMode(ContentMode.HTML);
		this.labelmail.setValue("e-mail<sup>*</sup>");
		this.labelmail.setContentMode(ContentMode.HTML);
		this.labelCompany.setValue("Company<sup>*</sup>");
		this.labelCompany.setContentMode(ContentMode.HTML);
		this.label4.setValue("Telephone");
		this.label6.setValue("Address");
		this.labelAgent.setValue("Agent<sup>*</sup>");
		this.labelAgent.setContentMode(ContentMode.HTML);
		this.labelAgentmail.setValue("Agent e-mail<sup>*</sup>");
		this.labelAgentmail.setContentMode(ContentMode.HTML);
		this.label9.setValue("Memo");
		this.textAreaMemo.setRows(2);
		this.label10.setValue("<sup>*</sup>Mandatory fields");
		this.label10.setContentMode(ContentMode.HTML);
	
		this.gridLayout2.setColumns(2);
		this.gridLayout2.setRows(13);
		this.labelName.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelName, 0, 0);
		this.gridLayout2.setComponentAlignment(this.labelName, Alignment.TOP_RIGHT);
		this.textFieldName.setWidth(100, Unit.PERCENTAGE);
		this.textFieldName.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldName, 1, 0);
		this.labelSurname.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelSurname, 0, 1);
		this.gridLayout2.setComponentAlignment(this.labelSurname, Alignment.TOP_RIGHT);
		this.textFieldSurname.setWidth(100, Unit.PERCENTAGE);
		this.textFieldSurname.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldSurname, 1, 1);
		this.labelmail.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelmail, 0, 2);
		this.gridLayout2.setComponentAlignment(this.labelmail, Alignment.TOP_RIGHT);
		this.textFieldmail.setWidth(100, Unit.PERCENTAGE);
		this.textFieldmail.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldmail, 1, 2);
		this.labelCompany.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelCompany, 0, 3);
		this.gridLayout2.setComponentAlignment(this.labelCompany, Alignment.TOP_RIGHT);
		this.textFieldCompany.setWidth(100, Unit.PERCENTAGE);
		this.textFieldCompany.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldCompany, 1, 3);
		this.label4.setSizeUndefined();
		this.gridLayout2.addComponent(this.label4, 0, 4);
		this.gridLayout2.setComponentAlignment(this.label4, Alignment.TOP_RIGHT);
		this.textFieldTelephone.setWidth(100, Unit.PERCENTAGE);
		this.textFieldTelephone.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldTelephone, 1, 4);
		this.label6.setSizeUndefined();
		this.gridLayout2.addComponent(this.label6, 0, 5);
		this.gridLayout2.setComponentAlignment(this.label6, Alignment.TOP_RIGHT);
		this.textFieldAddress1.setWidth(100, Unit.PERCENTAGE);
		this.textFieldAddress1.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldAddress1, 1, 5);
		this.textFieldAddress2.setWidth(100, Unit.PERCENTAGE);
		this.textFieldAddress2.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldAddress2, 1, 6);
		this.textFieldAddress3.setWidth(100, Unit.PERCENTAGE);
		this.textFieldAddress3.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldAddress3, 1, 7);
		this.labelAgent.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelAgent, 0, 8);
		this.gridLayout2.setComponentAlignment(this.labelAgent, Alignment.TOP_RIGHT);
		this.textFieldAgent.setWidth(100, Unit.PERCENTAGE);
		this.textFieldAgent.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldAgent, 1, 8);
		this.labelAgentmail.setSizeUndefined();
		this.gridLayout2.addComponent(this.labelAgentmail, 0, 9);
		this.gridLayout2.setComponentAlignment(this.labelAgentmail, Alignment.TOP_RIGHT);
		this.textFieldAgentmail.setWidth(100, Unit.PERCENTAGE);
		this.textFieldAgentmail.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textFieldAgentmail, 1, 9);
		this.label9.setSizeUndefined();
		this.gridLayout2.addComponent(this.label9, 0, 10);
		this.gridLayout2.setComponentAlignment(this.label9, Alignment.TOP_RIGHT);
		this.textAreaMemo.setWidth(100, Unit.PERCENTAGE);
		this.textAreaMemo.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.textAreaMemo, 1, 10);
		this.label10.setWidth(100, Unit.PERCENTAGE);
		this.label10.setHeight(-1, Unit.PIXELS);
		this.gridLayout2.addComponent(this.label10, 0, 11, 1, 11);
		this.gridLayout2.setColumnExpandRatio(0, 10.0F);
		this.gridLayout2.setColumnExpandRatio(1, 90.0F);
		final CustomComponent gridLayout2_vSpacer = new CustomComponent();
		gridLayout2_vSpacer.setSizeFull();
		this.gridLayout2.addComponent(gridLayout2_vSpacer, 0, 12, 1, 12);
		this.gridLayout2.setRowExpandRatio(12, 1.0F);
		this.gridLayout2.setWidth(300, Unit.PIXELS);
		this.gridLayout2.setHeight(-1, Unit.PIXELS);
		this.setContent(this.gridLayout2);
		this.setWidth(701, Unit.PIXELS);
		this.setHeight(500, Unit.PIXELS);
	
		this.textFieldName.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				pannelloNewUserRequest.this.textFieldName_valueChange(event);
			}
		});
		this.textFieldSurname.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				pannelloNewUserRequest.this.textFieldSurname_valueChange(event);
			}
		});
		this.textFieldmail.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				pannelloNewUserRequest.this.textFieldmail_valueChange(event);
			}
		});
		this.textFieldCompany.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				pannelloNewUserRequest.this.textFieldCompany_valueChange(event);
			}
		});
		this.textFieldAgent.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				pannelloNewUserRequest.this.textFieldAgent_valueChange(event);
			}
		});
		this.textFieldAgentmail.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				pannelloNewUserRequest.this.textFieldAgentmail_valueChange(event);
			}
		});
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel labelName, labelSurname, labelmail, labelCompany, label4, label6, labelAgent, labelAgentmail, label9, label10;
	private XdevTextArea textAreaMemo;
	private XdevGridLayout gridLayout2;
	private XdevTextField textFieldName, textFieldSurname, textFieldmail, textFieldCompany, textFieldTelephone, textFieldAddress1, textFieldAddress2, textFieldAddress3,
			textFieldAgent, textFieldAgentmail;
	// </generated-code>

}
